Page MenuHomePhabricator

Remove $wgCodeMirrorEnableFrontend
Closed, ResolvedPublic

Description

What is it needed for? If an extension needs to be disabled, it should be removed from LocalSettings. Otherwise, it's not only confusing but also shoots you in the foot when an extension is kinda disabled but also kinda continues to be executed.

Details

Related Gerrit Patches:
mediawiki/extensions/CodeMirror : masterRemove $wgCodeMirrorEnableFrontend

Event Timeline

MaxSem created this task.Aug 4 2017, 1:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2017, 1:05 AM

I support this. It's tripped me a couple of times now. What's the reasoning behind the flag? Can the extension still do some stuff (which we haven't enabled but third parties might have) with the flag being false?

@Pastakhov: Is there any reason we need this config variable?

Not sure for what the one was added by change 199941.

MaxSem added a subscriber: Florian.Aug 23 2017, 5:38 PM

@Florian, do you still need this?

Florian claimed this task.Aug 24 2017, 3:50 PM

Puhh, not sure anymore, why I added it, so no.

Change 373585 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/extensions/CodeMirror@master] Remove $wgCodeMirrorEnableFrontend

https://gerrit.wikimedia.org/r/373585

MaxSem closed this task as Resolved.Aug 25 2017, 6:29 PM

Thanks!

Change 373585 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Remove $wgCodeMirrorEnableFrontend

https://gerrit.wikimedia.org/r/373585